CREATE TABLE ffs_resource_log (
    LOG_ID                      NUMBER(10, 0) ,
    ACTION_ID                   NUMBER(19, 0) ,
    USER_ID                     NUMBER(18, 0)     NOT NULL,
    RESOURCE_ID                 NUMBER(8, 0)      NOT NULL,
    PACTIVE                     VARCHAR2(4)   ,
    PARENT                      NUMBER(8, 0)      NOT NULL,
    EXTERNAL_ID                 VARCHAR2(512) ,
    PTYPE                       NUMBER(10, 0)     NOT NULL,
    PCAPACITY_BUCKET            NUMBER(10, 0)     NOT NULL,
    PNAME                       VARCHAR2(640) ,
    ORGANIZATION_ID             NUMBER(5, 0)  ,
    PLANGUAGE                   NUMBER(3, 0)      NOT NULL,
    PTIME_FID                   NUMBER(10, 0)     NOT NULL,
    PDATE_FID                   NUMBER(10, 0)     NOT NULL,
    TIME_ZONE                   NUMBER(3, 0)      NOT NULL,
    EMAIL                       VARCHAR2(4000),
    PPHONE                      VARCHAR2(256) ,
    CREATED                     TIMESTAMP(0)  ,
    UPDATED                     TIMESTAMP(0)      NOT NULL,
    TRAVEL_KEY                  VARCHAR2(800) ,
    PDURATIONKEY                VARCHAR2(800) ,
    PSTARTTIMEKEY               VARCHAR2(800) ,
    P_RPRID                     NUMBER(8, 0)  ,
    PFEATURES                   NUMBER(10, 0) ,
    PCOLOR                      VARCHAR2(24)  ,
    PINITIAL_RATIO_READ_ONLY    NUMBER(3, 0)  ,
    PINITIAL_RATIO              NUMBER            NOT NULL,
    SKIP_DAYS_FOR_STATS         NUMBER(5, 0)      NOT NULL,
    SKIP_DAYS_UPDATED           TIMESTAMP(0)  ,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    LOG_ID                      NUMBER(10, 0) ,
    ACTION_ID                   NUMBER(19, 0) ,
    USER_ID                     NUMBER(18, 0)     NOT NULL,
    RESOURCE_ID                 NUMBER(8, 0)      NOT NULL,
    PACTIVE                     VARCHAR2(4)   ,
    PARENT                      NUMBER(8, 0)      NOT NULL,
    EXTERNAL_ID                 VARCHAR2(512) ,
    PTYPE                       NUMBER(10, 0)     NOT NULL,
    PCAPACITY_BUCKET            NUMBER(10, 0)     NOT NULL,
    PNAME                       VARCHAR2(640) ,
    ORGANIZATION_ID             NUMBER(5, 0)  ,
    PLANGUAGE                   NUMBER(3, 0)      NOT NULL,
    PTIME_FID                   NUMBER(10, 0)     NOT NULL,
    PDATE_FID                   NUMBER(10, 0)     NOT NULL,
    TIME_ZONE                   NUMBER(3, 0)      NOT NULL,
    EMAIL                       VARCHAR2(4000),
    PPHONE                      VARCHAR2(256) ,
    CREATED                     TIMESTAMP(0)  ,
    UPDATED                     TIMESTAMP(0)      NOT NULL,
    TRAVEL_KEY                  VARCHAR2(800) ,
    PDURATIONKEY                VARCHAR2(800) ,
    PSTARTTIMEKEY               VARCHAR2(800) ,
    P_RPRID                     NUMBER(8, 0)  ,
    PFEATURES                   NUMBER(10, 0) ,
    PCOLOR                      VARCHAR2(24)  ,
    PINITIAL_RATIO_READ_ONLY    NUMBER(3, 0)  ,
    PINITIAL_RATIO              NUMBER            NOT NULL,
    SKIP_DAYS_FOR_STATS         NUMBER(5, 0)      NOT NULL,
    SKIP_DAYS_UPDATED           TIMESTAMP(0)  ,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    CONSTRAINT pk_ffs_resource_log PRIMARY KEY (LOG_ID, LOG_ID)
);
